
#ifndef __H_TEST__
#define __H_TEST__

#include <stdio.h>

#define test_fail(p, ...)\
  fprintf (stderr, RED "[FAILED][%s:%d, %s] " p " \n" RESET,\
  __FILE__, __LINE__, __func__ , ##__VA_ARGS__)

#define test_pass(p, ...)\
   fprintf (stdout, GREEN "[PASS] " p " \n" RESET,\
   ##__VA_ARGS__)

#define test_case(cond, p, ret)     \
    if (cond) {                     \
      test_pass(p);                 \
    } else {                        \
      test_fail(p);                 \
      ret++;                        \
    }

#endif /* __H_TEST__ */
